Wary and Racy 5.3.90 (5.4beta1)

Ok, here they are! These are the first betas for the next release of Wary and Racy, which will be version 5.4. The current official release is 5.3.

Wary 5.3.90
Get it from here:
http://distro.ibiblio.org/quirky/test/wary-5.3.90/

There are some issues with this one. The 'welcome1stboot' window does not appear. It was built without an Adobe Flash Player, also without Getflash. But, you can grab either, either via PPM, or direct (5.1MB, 8KB):
http://distro.ibiblio.org/quirky/pet_packages-common/flashplayer10-10.3.183.23.pet
http://distro.ibiblio.org/quirky/pet_packages-noarch/getflash-1.1.pet

Racy 5.3.90
Get it from here:
http://distro.ibiblio.org/quirky/test/racy-5.3.90/

Racy does have both Adobe Flash Player and Getflash. Also 'welcome1stboot' works. Only one issue I have noticed so far: Planner project management appears in both Business and Utility sub-menus.

The kernels are the same as for 5.3. Lots of infrastructure upgrades with Woof, plus many apps updated, including cups now 1.4.8 and seamonkey now 2.12.1.


Posted on 28 Sep 2012, 7:52


Comments:

Posted on 28 Sep 2012, 8:12 by BarryK
Wary/Racy 5.3.90 Forum feedback
I have started a new thread for feedback on the Forum:
http://murga-linux.com/puppy/viewtopic.php?t=81171

Note, the previous feedback thread, for Wary and Racy 5.3, is here:
http://murga-linux.com/puppy/viewtopic.php?t=77303



Posted on 28 Sep 2012, 9:09 by shinobar
Getflash-1.2
Getflash is updated to v1.2
http://www.murga-linux.com/puppy/viewtopic.php?t=74491


Posted on 28 Sep 2012, 11:03 by broomdodger
/usr/local/sbin
Hello Barry

Is there a reason that:
/usr/local/sbin
is NOT in PATH?

I use a utility that installs its binary there.

I have made links and also edited:
/etc/profile
both of which work.

But...

Bill



Posted on 28 Sep 2012, 11:42 by technosaurus
Re: /usr/local/sbin
You can just make it a symlink to /usr/sbin as a workaround to a broken utility - /usr/local/sbin is an oxymoron should never even exist.


Posted on 28 Sep 2012, 14:52 by Sage
Thanks!
Any chance you might cut a Wary (oldest kit) to <100Mb, please?


Posted on 28 Sep 2012, 17:57 by Max
.
Please, update libpng to 1.2.50



Posted on 30 Sep 2012, 24:45 by FeodorF
Wary-5.3.90.iso crashed on ibiblio.org
After downloading Wary-5.3.90.iso you'll get a mismatch of the md5 sum. Three tries - three different md5's.

Downloaded Racy-5390.iso, Precise-5.3.95.1.iso and qrky-142-all-drvrs.iso .All md5's of them matched.

Problem has to be over there at ibiblio.org



Posted on 31 Sep 2012, 4:27 by FeodorF
Previous post is wrong!
Sorry!
My info was wrong - working horse just started smoking and died.



Posted on 1 Oct 2012, 22:20 by f00-
planner 2x in menu
planner.desktop is correct single category (Categories=ProjectManagement) but /etc/xdg/menus/puppy-utility.menu has that category in its Utility-development section includes..


Posted on 5 Oct 2012, 17:15 by scottman
vlc-gtk
VLC-GTK 2.5.2
http://www.murga-linux.com/puppy/viewtopic.php?t=54753

Hi Barry, I have done a lot of work on VLC-GTK, and it can now be used as a defaultmediaplayer, and works very well.. It can also be called as pupvlc, and shows as PupVLC.

It would make a nice addition to the repo (I think).

BUT... It still requires a small fix, I cannot kill $XPID and $XPID1, in my capture() func, around line 750... Maybe you know how?

VLC-GTK now has these deps: +vlc_nogui,+rtmpdump,+xdotool

The latest VLC-GTK pets are noarch, all extra deps in other packages.

I have added the following features recently:

- `vlc-gtk $1` fully working with file/dir/url/rtmpdump etc
- improved GUI, more features, more options
- supports playback/recording of rtmpdump streams
- supports youtube playback in chosen quality
- supports capture/transcode File, DVD and Screen
- can be used as a video converter
- supports screen capture to video file
- shows 'file' or 'stream' on-screen-controls, depending
- supports adding custom CLI commands
- more advanced, built in debugger
- enable/disable debug level logging to logfile
- many other fixes, working great with vlc_nogui-1.1.9

I understand if this doesn't interest you in the slightest! But always nice to have a small alternative to other players.


Posted on 25 Oct 2012, 5:42 by fyujj
Flash 10
IDK how important this is but Flash 10.3.183 have been receiving security updates. Currently it's in version 29 already.

http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html